Subject: Re: bug#459: autopkgtest-build-qemu does not set up /dev/ttyS[01]

From: Ryutaroh Matsumoto <[email-masked]>
Date: Sat, 16 May 2020 18:56:11 +0900 (JST)

>> I don't think this is a Debian issue.
>> Debian PID 1 is systemd,
> 
> No. Both sysvinit and runit-init are available in Debian. So this issue would be
> present on a Debian system not running systemd as PID1.

Umm, but is there any option to instruct autopkgtest to
make a Debian qemu image with PID 1 not being systemd?
I do not know such an option.

How can anybody reproduce this issue on Debian??
Do you have any idea?

Best regards, Ryutaroh

From: Mark Hindley <[email-masked]>
Subject: Re: bug#459: autopkgtest-build-qemu does not set up /dev/ttyS[01]
Date: Sat, 16 May 2020 10:41:41 +0100

> On Sat, May 16, 2020 at 06:33:26PM +0900, Ryutaroh Matsumoto wrote:
>> Dear Mark, Thank you for your attention and response. But,
>> 
>> > autopkgtest is not a forked package and Devuan uses Debian's packages directly.
>> > Can you report this to Debian BTS, please?
>> 
>> I don't think this is a Debian issue.
>> Debian PID 1 is systemd,
> 
> No. Both sysvinit and runit-init are available in Debian. So this issue would be
> present on a Debian system not running systemd as PID1.
> 
> Best wishes
> 
> Mark